'****************************************************************
'*  Name    : GL1520AG.BAS                                      *
'*  Author  : Ranjit Diol                                       *
'*  Notice  : Copyright (c) 2002 COMPSys                        *
'*          : All Rights Reserved                               *
'*  Date    : 11/8/02                                           *
'*  Version : 1.0                                               *
'*  Notes   : AGM12232G 122x32 graphic LCD from AZDisplays inc. *
'*          : Controller SED1520                                *
'*          : Compiler: MELab's PICBasicPro V 2.40              *
'*          : Tested on a GLI2 development board                *
'*  Misc    : The AG12232 has an on-board neg voltage supply    *
'*          : Some displays do not and will require approx -8v  *
'****************************************************************
'                 NOT FOR COMMERCIAL USE                        *
'****************************************************************
'                                                               *
'                                                               *
'   DISCLAIMER: This file is being released as non-commericial  *
'   software. It is being provided "AS IS", neither the author, * 
'   nor COMPSys shall be held liable for any damages, explicit  *
'   or implicit, caused by its use.                             *
'                                                               *
'   It can be distributed freely in its entirety, portions may  *
'   be used in non-commercial applications as long as the       * 
'   author is given credit for those portions used.             *
'                                                               *
'        Contact: rsdiol@compsys1.com for more information      *
'****************************************************************
'

INCLUDE  "LIB1520.PBP"  'General library for character display
'INCLUDE "GRLIB520.PBP" 'Extended routines library with SETDOT,CIRCLE,SQUARE etc

'======= START OF MAIN ROUTINE ============
main:
    gosub gl_init
    gosub lcd_on
    gosub lcd_clear
    
    'Test fill
    'gl_byte = %11001110
    'gosub lcd_fill

    'Text Location
    gl_x = 27
    gl_y = 7 
    for gl_i = 0 to 11
      lookup gl_i,["Hello World!"],char
      gosub gl_putchar
    next gl_i
    
          
done: goto done 

end  
    

